package com.entity;

import java.sql.Date;

/**
 *
 * Bean for member.
 *
 * @author Laurentiu Marcut
 */
public class Member {

    private String firstName;
    private String lastName;
    private Date birthDate;
    private String email;
    private String role;
    private String project;
    private Date joinedDate;
    private Date lastOpenDate;

    /**
     *
     * Getter first name.
     *
     * @return first name
     */
    public String getFirstName() {
        return firstName;
    }

    /**
     *
     * Setter first name.
     *
     * @param firstName
     */
    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    /**
     *
     * Getter first name.
     *
     * @return first name
     */
    public String getLastName() {
        return lastName;
    }

    /**
     *
     * Setter last name.
     *
     * @param lastName
     */
    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    /**
     *
     * Getter birthdate.
     *
     * @return birthdate
     */
    public Date getBirthDate() {
        return birthDate;
    }

    /**
     *
     * Setter birthdate.
     *
     * @param birthDate
     */
    public void setBirthDate(Date birthDate) {
        this.birthDate = birthDate;
    }

    /**
     *
     * Getter email.
     *
     * @return email
     */
    public String getEmail() {
        return email;
    }

    /**
     *
     * Setter email.
     *
     * @param email
     */
    public void setEmail(String email) {
        this.email = email;
    }

    /**
     *
     * Getter role.
     *
     * @return role
     */
    public String getRole() {
        return role;
    }

    /**
     *
     * Setter role.
     *
     * @param role
     */
    public void setRole(String role) {
        this.role = role;
    }

    /**
     *
     * Getter project.
     *
     * @return project
     */
    public String getProject() {
        return project;
    }

    /**
     *
     * Setter project.
     *
     * @param project
     */
    public void setProject(String project) {
        this.project = project;
    }

    /**
     *
     * Getter joined date.
     *
     * @return joined date.
     */
    public Date getJoinedDate() {
        return joinedDate;
    }

    /**
     *
     * Setter joined date.
     *
     * @param joinedDate
     */
    public void setJoinedDate(Date joinedDate) {
        this.joinedDate = joinedDate;
    }

    /**
     *
     * Getter last open date.
     *
     * @return last open date.
     */
    public Date getLastOpenDate() {
        return lastOpenDate;
    }

    /**
     *
     * Setter last open date.
     *
     * @param lastOpenDate
     */
    public void setLastOpenDate(Date lastOpenDate) {
        this.lastOpenDate = lastOpenDate;
    }
}
